/**
 * Full Screen msg
 */
.full-screen-msg .msg-container .fsm-img-msg-container {
    display: block;
    position: relative;
    width: calc(var(--vw, 1vw) * 65);
    max-width: calc(var(--vw, 1vw) * 65);
    height: auto;
    margin: auto;
}
.full-screen-msg .fsm-body .btn-start {
    display: block;
    top: 30px;
    margin: auto;
    width: 200px;
    height: 50px;
    padding-left: 40px;
    padding-right: 20px;
    padding-top: 12px;
    padding-bottom: 12px;
    font-size: 15px;
    background-color: #faa207;
    color: #ffffff;
}
.full-screen-msg .fsm-body .btn-start small {
    display: block;
    position: relative;
    top: -22px;
    font-size: 18px;
}

@media (max-width: 767px) {

    .full-screen-msg .msg-container .fsm-img-msg-container {
        display: block;
        width: calc(var(--vw, 1vw) * 90);
    }

    .full-screen-msg .fsm-body .btn-start {
        display: inline-block;
        top: 30px;
        left: 0;
        height: 50px;
        width: 200px;
        padding-top: 9px;
        padding-left: 40px;
        border-radius: 40px;
    }

    .full-screen-msg .fsm-body .btn-start img {
        top: 5px;
        width: 20px;
        height: 20px;
    }

    .full-screen-msg .fsm-body .btn-start small {
        display: block;
        position: relative;
        top: -18px;
        font-size: 18px;
    }

}

/**
 * Normalize btn start
 */
@keyframes normalize-btn-start {
    from {
        background-color: #FAA207;
        border: 1px solid #d0d0d0;
    }
    to {
        background-color: #4A408E;
        border: 1px solid #2009B7;
    }
}
@-moz-keyframes normalize-btn-start {
    from {
        background-color: #FAA207;
        border: 1px solid #d0d0d0;
    }
    to {
        background-color: #4A408E;
        border: 1px solid #2009B7;
    }
}
@-webkit-keyframes normalize-btn-start {
    from {
        background-color: #FAA207;
        border: 1px solid #d0d0d0;
    }
    to {
        background-color: #4A408E;
        border: 1px solid #2009B7;
    }
}

/**
 * Hover btn start
 */
@keyframes hover-btn-start {
    from {
        background-color: #4A408E;
        border: 1px solid #2009B7;
    }
    to {
        background-color: #FAA207;
        border: 1px solid #d0d0d0;
    }
 }
 @-moz-keyframes hover-btn-start {
    from {
        background-color: #4A408E;
        border: 1px solid #2009B7;
    }
    to {
        background-color: #FAA207;
        border: 1px solid #d0d0d0;
    }
 }
 @-webkit-keyframes hover-btn-start {
    from {
        background-color: #4A408E;
        border: 1px solid #2009B7;
    }
    to {
        background-color: #FAA207;
        border: 1px solid #d0d0d0;
    }
}

/**
 * courseUnits.css
 */
body,
.page-container {
   background-color:#27363b;
}

.component-main-container, 
.component-main-container .content-container {
   height: auto;
   min-height: 100%;
}
.component-main-container .content-container {
    display: inline-block;
    position: relative;
    left: 0px;
    width: 100%;
    padding: 0px;
    animation-name: none;
    animation-duration: none;
    -webkit-animation-fill-mode: none;
    animation-fill-mode: none;
 }
.cmc-container {
    left: 0px;
    top: 40px;
    height: auto;
    min-height: 701px;
    padding-left: calc(var(--vw,1vw) * 10);
    padding-right: calc(var(--vw,1vw) * 10);
    padding-bottom: calc(var(--vw,1vw) * 6);
    padding-top: calc(var(--vw,1vw) * 5);
}
.cmc-container .transparent-filter .selectable {
    position: fixed;
    top: 90px;
    left: 0px;
    width: 100%;
    height: 100%;
    z-index: 101;
}

.footer {
   top: 0px;
}

@media (max-width: 992px) {

    .cmc-container {
        padding: 0px;
        padding-left: 30px;
        padding-right: 30px;
        padding-bottom: 60px;
        padding-top: 20px;
    }

}

@media(max-width:767px) {
   
    .cmc-container {
        top: 0px;
        padding-left: 0px;
        padding-right: 0px;
        padding-bottom: 0px;
        padding-top: 0px;
    }
    .footer {
        margin-bottom:0px;
    }

}

/**
 * Full screen menu
 */
.menu-opt {
    display: block;
    position: relative;
    left: 0px;
    top: 0px;
    width: 100%;
    text-align: left;
    background-repeat: no-repeat;
    background-size: cover;
    cursor: pointer;
}

/*
 * Full screen menu option filter
 */
.full-screen-menu .filter {
   min-width:calc(var(--vw, 1vw) * 50);
} 
.dark-filter {
    position: absolute;
    left: 0px;
    top: 0px;
    width: 100%;
    height: 100%;
    opacity: 0.3;
    background-color: #333333;
    
    animation-name: fade-out;
    animation-duration: 800ms;
    animation-timing-function: ease-in-out;
    animation-fill-mode: forwards;
 
    -webkit-animation-name: fade-out;
    -webkit-animation-duration: 800ms;
    -webkit-animation-timing-function: ease-in-out;
    -webkit-animation-fill-mode: forwards;
  
    -moz-animation-name: fade-out;
    -moz-animation-duration: 800ms;
    -moz-animation-timing-function: ease-in-out;
    -moz-animation-fill-mode: forwards;
   
    -ms-animation-name: fade-out;
    -ms-animation-duration: 800ms;
    -ms-animation-timing-function: ease-in-out;
    -ms-animation-fill-mode: forwards;
}
.dark-filter:hover,
.menu-opt:hover .bg .dark-filter {
    animation-name: fade-in;
    animation-duration: 800ms;
    animation-timing-function: ease-in-out;
    animation-fill-mode: forwards;
 
    -webkit-animation-name: fade-in;
    -webkit-animation-duration: 800ms;
    -webkit-animation-timing-function: ease-in-out;
    -webkit-animation-fill-mode: forwards;
  
    -moz-animation-name: fade-in;
    -moz-animation-duration: 800ms;
    -moz-animation-timing-function: ease-in-out;
    -moz-animation-fill-mode: forwards;
   
    -ms-animation-name: fade-in;
    -ms-animation-duration: 800ms;
    -ms-animation-timing-function: ease-in-out;
    -ms-animation-fill-mode: forwards;
}


@keyframes fade-in {
    from {
        opacity:0.3;
    }
    to {
        opacity:0.1;
    }
}
@-moz-keyframes fade-in {
    from {
        opacity:0.3;
    }
    to {
        opacity:0.1;
    }
}
@-webkit-keyframes fade-in {
    from {
        opacity:0.3;
    }
    to {
        opacity:0.1;
    }
}

@keyframes fade-out {
    from {
        opacity:0.1;
    }
    to {
        opacity:0.3;
    }
}
@-moz-keyframes fade-out {
    from {
        opacity:0.1;
    }
    to {
        opacity:0.3;
    }
}
@-webkit-keyframes fade-out {
    from {
        opacity:0.1;
    }
    to {
        opacity:0.3;
    }
}

@media (max-width: 767px) {

   .full-screen-menu .filter {
      min-width: calc(var(--vw, 1vw) * 100);
   }

}

/**
 * Modules
 */
.module {
    display:block;
    margin-top:10px;
    color:#ffffff;
    overflow:hidden;
}
.module .bg {
    display: block;
    position: relative;
    width: 100%;
    height: 200px;
    overflow: hidden;
    background-size: cover !important;
}
.module-1 .bg {
    background: url("../../images/bg_units_menu_hor_1.png");
}
.module-2 .bg {
    background: url("../../images/bg_units_menu_hor_2.png");
}
.module-3 .bg {
    background: url("../../images/bg_units_menu_hor_3.png");
}

.module .content {
    margin-top:0px;
    padding:20px;
}
.module .content p {
    line-height: 1.1;
}
.module-1 .content {
    background-color:#F1BC5C;
}
.module-2 .content {
    background-color:#C4414A;
}
.module-3 .content {
    background-color:#23588D;
}

.module .module-name {
    margin-left: 15px;
}
.module .module-name h2,
.module .module-name p,
.module .module-goals p {
    color: #ffffff
}
.module .module-name h2 {   
    font-family: roboto-bold !important;
    font-size: 46px;
    font-weight: 900;
}
.module .module-name p,
.module .module-goals p {
    font-family: roboto-light !important;
    font-weight: 300;
}
.module .module-name p {
    font-size: 14px;
}

.module .module-goals p {
    font-size: 12px;
}
.module .module-goals ul {
    line-height: 0.8;
}
.module .module-goals ul li p {
    line-height: 1.1;
    opacity: 0.75;
}
.module .module-goals .work-load {
    margin-top: 15px;
    margin-left: 24px;
    opacity: 0.75;
}
.module .module-goals .btn-access-module, 
.module .module-goals .btn-access-module:hover {
    position: relative;
    float: right;
    top: 5px;
    margin-bottom: 10px;
    padding-left: 20px;
    padding-right: 20px;
    padding-top: 5px;
    padding-bottom: 5px;
    color: #fff;
    border: 1px solid #fff;
    border-radius: 5px;
    font-family: roboto-bold;
    font-size: 14px;
    text-transform: capitalize;
    text-decoration: none;
}
.module .module-goals .btn-access-module {
    background-color: transparent;
}
.module .module-goals .btn-access-module.module-1:hover {
    background-color: #e2a835;
}
.module .module-goals .btn-access-module.module-2:hover {
    background-color: #d2242f;
}
.module .module-goals .btn-access-module.module-3:hover {
    background-color: #0f5298;
}

@media(max-width:1024px) {

    .module .module-name {
        margin-left: 0px;
    }

}

@media(max-width: 992px) {

    .module-1 .bg, 
    .module-2 .bg, 
    .module-3 .bg {
        background-size: 721px 200px;
    }

}

@media(max-width: 767px) {

    .module {
        margin-top: 0px;
    }
    .module-1 .bg, 
    .module-2 .bg, 
    .module-3 .bg {
        background-size: 620px 200px;
    }
    .module .module-goals .work-load {
        margin-left: -14px;
    }
    .module .module-goals .btn-access-module, 
    .module .module-goals .btn-access-module:hover {
        margin-right: -15px;
    }
    .module .module-goals ul {
        padding-left: 16px;
    }

}

@media(max-width: 320px) {

    .module-1 .bg, 
    .module-2 .bg, 
    .module-3 .bg {
        background-size: 320px 200px;
    }

}